///sat
#include <chrono>
using namespace std::chrono;
#define vremestart auto start = high_resolution_clock::now();
#define vremeend auto stop = high_resolution_clock::now();
#define vremeispis auto duration = duration_cast<microseconds>(stop - start); cout << duration.count() << endl;
///sat
#define here cerr<<"here\n";
#define popcount(x) __builtin_popcount(x) ///broji broj bitova
#include <bits/stdc++.h>
#define mode 998244353
#define gcd __gcd
#define ld long double
#define ll long long
#define ull unsigned long long
#define llinf 1000000000000000000LL
#define iinf 2000000000
#define pb push_back
#define popb pop_back
#define fi first
#define sc second
#define th third
#define fo fourth
#define endl '\n'
#define pii pair<int,int>
#define pll pair<ll,ll>
#define pld pair<ld,ld>
#define sz(a) int(a.size())
#define all(a) a.begin(),a.end()
#define rall(a) a.begin(),a.end(),greater<int>()
using namespace std;
#define maxn 200005
#define eps 1e-9
ld a[maxn],p[maxn];
int n;
ld check(ld x){
    ld sum  = 0;
    for(int i = 1;i<=n;i++){
        if(x>p[i]) continue;
        sum+=(x/100)*a[i];
    }
    return sum;
}
ld bs(){
    ld l = 0,r = 100,mid,rez,ans = 0;
    for(int i = 1;i<=100;i++){
        mid = (l+r)/2;
        //cerr<<"mid: "<<mid<<"\n";
        rez = check(mid);
        if(rez>ans){
            l = mid;
            ans = rez;
            //cerr<<"mid: "<<mid<<" "<<ans<<"\n";
        }else r = mid;
    }
    return ans;
}
int main(){
	ios_base::sync_with_stdio(false);cerr.tie(0);cout.tie(0);cin.tie(0);
	cout<<fixed<<setprecision(6);
    cin >> n;
    for(int i = 1;i<=n;i++) cin >> a[i] >> p[i];
    ld ans = bs();
    cout<<ans;
    return 0;
}